Bug 1876788 (CVE-2020-14390) - CVE-2020-14390 kernel: out-of-bounds write in fbcon_redraw_softback
Summary: CVE-2020-14390 kernel: out-of-bounds write in fbcon_redraw_softback
Keywords:
Status: NEW
Alias: CVE-2020-14390
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1881438 1881439 1881440 1881441 1881442 1879955 1881446 1881447 1881448 1881449 1881450
Blocks: 1876438
TreeView+ depends on / blocked
 
Reported: 2020-09-08 07:43 UTC by msiddiqu
Modified: 2020-10-05 18:54 UTC (History)
46 users (show)

Fixed In Version: Linux kernel 5.9-rc6
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel. When changing screen size, an out-of-bounds memory write can occur leading to memory corruption or a denial of service. Due to the nature of the flaw, privilege escalation cannot be fully ruled out.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description msiddiqu 2020-09-08 07:43:51 UTC
A vulnerability was found in Linux Kernel where the value of vc->vc_origin is not updated in time while invoking vc_do_resize, leading to out-of-bounds write in fbcon_redraw_softback.

Comment 2 Alex 2020-09-09 10:08:42 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 3 Alex 2020-09-09 10:26:28 UTC
Acknowledgments:

Name: Yuan Ming (Tsinghua University)

Comment 4 Eric Christensen 2020-09-09 18:01:30 UTC
Statement:

Due to this flaw requiring a local user to trigger by using frame buffer fbcon, the impact has been rated as Low.

Comment 7 msiddiqu 2020-09-17 12:41:47 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1879955]

Comment 8 Justin M. Forbes 2020-09-21 12:55:51 UTC
This was fixed for Fedora with the 5.8.10 stable kernel updates.


Note You need to log in before you can comment on or make changes to this bug.